Package com.creditcall.chipdnamobile

# Class ParameterKeys

java.lang.Object
com.creditcall.chipdnamobile.ParameterKeys

public class ParameterKeys extends Object
Defines string constants for parameter keys used throughout the ChipDNA Mobile SDK.

Since:
  1.0
Author:
  Creditcall
See Also:
  - `ParameterValues`
  - `Parameters`
  - `ChipDnaMobile`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AcquirerResponseCode`
  Parameter key for the acquirer response code.
  `static final String`
  `AddressVerificationResult`
  Parameter key for address verification result.
  `static final String`
  `Amount`
  Parameter key for the transaction amount.
  `static final String`
  `AmountOnlineAuthorized`
  Parameter key for the amount of a transaction authorized online.
  `static final String`
  `AmountType`
  Parameter key for the amount type.
  `static final String`
  `ApiKey`
  Parameter key for setting Api Key used for communicating with the gateway.
  `static final String`
  `ApplicationIdentifier`
  Parameter key for setting application identifier.
  `static final String`
  `ApplyFirmwareUpdate`
  Parameter key indicating if a firmware update is to be performed if one is available.
  `static final String`
  `AuthCode`
  Parameter key for authorization code of a transaction.
  `static final String`
  `AutoConfirm`
  Parameter key to trigger auto confirmation of a transaction.
  `static final String`
  `AutomaticReboot`
  Parameter key indicating if the PIN pad reboot is automatic or manual.
  `static final String`
  `AvailableApplications`
  Parameter key for the card applications XML to be presented to the CardHolder during application selection.
  `static final String`
  `AvailableCurrencies`
  Parameter key for available currencies XML, which can be converted using `ChipDnaMobileSerializer.deserializeAvailableCurrencies(String)`.
  `static final String`
  `AvailablePinPads`
  Parameter key for available PIN pad XML string.
  `static final String`
  `BillingAddress1`
  Parameter key for Address Line One in Billing Information.
  `static final String`
  `BillingAddress2`
  Parameter key for Address Line Two in Billing Information.
  `static final String`
  `BillingCity`
  Parameter key for the City in Billing Information.
  `static final String`
  `BillingCountry`
  Parameter key for the Country in Billing Information.
  `static final String`
  `BillingEmailAddress`
  Parameter key for the Email Address in Billing Information.
  `static final String`
  `BillingPhoneNumber`
  Parameter key for the Phone Number in Billing Information.
  `static final String`
  `BillingPostalCode`
  Parameter key for the Zip Code in Billing Information.
  `static final String`
  `BillingState`
  Parameter key for the State in Billing Information.
  `static final String`
  `BillingZipCode`
  Parameter key for the Zip Code in Billing Information.
  `static final String`
  `BLEScanTime`
  Parameter key for configuring the length of time Bluetooth Low Energy (BLE) devices will be scanned for.
  `static final String`
  `CardEaseReference`
  Parameter key for CardEase reference of a transaction.
  `static final String`
  `CardHashCollection`
  Parameter key for the card hash in XML format.
  `static final String`
  `CardHolderFirstName`
  Parameter key for the card holder first name.
  `static final String`
  `CardHolderLastName`
  Parameter key for the card holder last name.
  `static final String`
  `CardReference`
  Parameter key for the card reference.
  `static final String`
  `CardSchemeId`
  Parameter key for the card scheme ID.
  `static final String`
  `CardTokens`
  Parameter key for the card tokens XML string.
  `static final String`
  `CashTransactionsSupported`
  Parameter key indicating if cash transactions are supported.
  `static final String`
  `CertificateFingerprint`
  Parameter key for certificate fingerprint.
  `static final String`
  `ChangePassword`
  Parameter key for changing the password after initialization.
  `static final String`
  `ChequeTransactionsSupported`
  Parameter key indicating if cheque transaction are supported.
  `static final String`
  `ChipDnaStatus`
  Parameter key for current status of ChipDNA.
  `static final String`
  `CloseTransaction`
  Parameter key indicating whether a transaction should be closed.
  `static final String`
  `ConfigurationUpdate`
  Parameter key for updates on the progress of `ChipDnaMobile.connectAndConfigure(com.creditcall.chipdnamobile.Parameters)`.
  `static final String`
  `CredentialOnFileFirstStore`
  Parameter key to indicate the transaction is the first store for a Credential on File transaction.
  `static final String`
  `CredentialOnFileReason`
  Parameter key for Credential on File transactions to indicate the reason for the transaction.
  `static final String`
  `CscVerificationResult`
  Parameter key for CSC verification result.
  `static final String`
  `Currency`
  Parameter key for the currency for a transaction.
  `static final String`
  `CustomerVaultCommand`
  Parameter key for customer vault command.
  `static final String`
  `CustomerVaultId`
  Parameter key for customer vault identifier.
  `static final String`
  `DateTimeFormat`
  Parameter key for the format of the date/times returned.
  `static final String`
  `DeferredAuthorizationReason`
  Parameter key for the reason a deferred authorization is being offered.
  `static final String`
  `DelayOnlineProcessing`
  Parameter key for to delay online processing.
  `static final String`
  `Destroy`
  Parameter key to wipe all SDK app data and delete the configuration and offline database when value is `True`.
  `static final String`
  `DeviceStatus`
  Parameter key for `DeviceStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeDeviceStatus(String)`.
  `static final String`
  `DeviceStatusUpdate`
  Parameter key for current device status XML string.
  `static final String`
  `DigitalSignatureSupported`
  Parameter key indicating if digital signature is supported.
  `static final String`
  `DisplayTime`
  Parameter key for the length of time a message should be displayed in seconds.
  `static final String`
  `DynamicTippingAmounts`
  Parameter key for on-device dynamic tipping amounts in minor units.
  `static final String`
  `DynamicTippingHeader`
  Parameter key for on-device dynamic tipping header.
  `static final String`
  `DynamicTippingPercentages`
  Parameter key for on-device dynamic tipping percentages.
  `static final String`
  `EmailAddress`
  Parameter key for an email address.
  `static final String`
  `EmailReceiptSupported`
  Parameter key indicating if receipting via email is supported.
  `static final String`
  `EncodedRequest`
  Parameter key for encoded requests.
  `static final String`
  `Environment`
  Parameter key for setting and receive the current environment of ChipDNA Mobile.
  `static final String`
  `ErrorDescription`
  Parameter key for returning text description of an error.
  `static final String`
  `Errors`
  Parameter key used when returning comma separated error codes.
  `static final String`
  `ExpiryDate`
  Parameter key for the expiry date of a card returned by the PIN pad.
  `static final String`
  `FeatureTokens`
  Parameter key for the feature token XML string.
  `static final String`
  `FirmwareDownloadPercentage`
  Parameter key indicating the percentage of firmware downloaded to the device.
  `static final String`
  `FirmwareFile`
  Parameter key indicating the name of the firmware file being downloaded to the device.
  `static final String`
  `FirmwareUpdate`
  Parameter key for `FirmwareUpdates` returned
  `static final String`
  `FirmwareUpdateAvailable`
  Parameter key indicating if a firmware update is available.
  `static final String`
  `FirmwareUpdateStatus`
  Parameter key for current firmware update status XML string.
  `static final String`
  `ForceTmsUpdate`
  Parameter key to force a TMS update.
  `static final String`
  `FullTmsUpdate`
  Parameter key to trigger a full TMS update.
  `static final String`
  `IdleMessage`
  Parameter key for the idle message to be displayed.
  `static final String`
  `LinkedRefundReferences`
  Parameter key for the linked refund references linked to the transaction.
  `static final String`
  `LinkedRefundsSupported`
  Parameter key indicating if linked refunds are supported.
  `static final String`
  `MaskedPan`
  Parameter key for a masked PAN.
  `static final String`
  `MaskedTrack2`
  Parameter key for the masked track2 of a card returned by the PIN pad.
  `static final String`
  `MerchantData`
  Parameter key for the merchant data.
  `static final String`
  `MerchantDefinedField01`
  Parameter key for merchant defined field 1.
  `static final String`
  `MerchantDefinedField02`
  Parameter key for merchant defined field 2.
  `static final String`
  `MerchantDefinedField03`
  Parameter key for merchant defined field 3.
  `static final String`
  `MerchantDefinedField04`
  Parameter key for merchant defined field 4.
  `static final String`
  `MerchantDefinedField05`
  Parameter key for merchant defined field 5.
  `static final String`
  `MerchantDefinedField06`
  Parameter key for merchant defined field 6.
  `static final String`
  `MerchantDefinedField07`
  Parameter key for merchant defined field 7.
  `static final String`
  `MerchantDefinedField08`
  Parameter key for merchant defined field 8.
  `static final String`
  `MerchantDefinedField09`
  Parameter key for merchant defined field 9.
  `static final String`
  `MerchantDefinedField10`
  Parameter key for merchant defined field 10.
  `static final String`
  `MerchantDefinedField11`
  Parameter key for merchant defined field 11.
  `static final String`
  `MerchantDefinedField12`
  Parameter key for merchant defined field 12.
  `static final String`
  `MerchantDefinedField13`
  Parameter key for merchant defined field 13.
  `static final String`
  `MerchantDefinedField14`
  Parameter key for merchant defined field 14.
  `static final String`
  `MerchantDefinedField15`
  Parameter key for merchant defined field 15.
  `static final String`
  `MerchantDefinedField16`
  Parameter key for merchant defined field 16.
  `static final String`
  `MerchantDefinedField17`
  Parameter key for merchant defined field 17.
  `static final String`
  `MerchantDefinedField18`
  Parameter key for merchant defined field 18.
  `static final String`
  `MerchantDefinedField19`
  Parameter key for merchant defined field 19.
  `static final String`
  `MerchantDefinedField20`
  Parameter key for merchant defined field 20.
  `static final String`
  `MerchantDisplayName`
  Parameter key for the configured merchant display name.
  `static final String`
  `MerchantName`
  Parameter key for the merchant name.
  `static final String`
  `OfflineCompletionDateTime`
  Parameter key for the date and time that an offline request was completed.
  `static final String`
  `OfflineCompletionState`
  Parameter key indicating how a transaction from the offline queue was completed.
  `static final String`
  `OfflineProcessingSupported`
  Parameter key indicating if offline processing is supported.
  `static final String`
  `OfflineRequestErrors`
  Parameter key for the errors associated with an offline request.
  `static final String`
  `OfflineStatus`
  Parameter key indicating the offline status of a transaction.
  `static final String`
  `OnDeviceTippingPrompt`
  Parameter key to add a custom on-device tipping prompt.
  `static final String`
  `OnlinePinPresent`
  Parameter key indicating that an online pin block is present.
  `static final String`
  `OperatorPin`
  Parameter key for the operator pin.
  `static final String`
  `OperatorPinRequired`
  Parameter key indicating if an operator pin must be supplied when responding to an action.
  `static final String`
  `PANKeyEntry`
  Parameter key for PAN key entry.
  `static final String`
  `Par`
  Parameter key for a PAR.
  `static final String`
  `Password`
  Parameter key for attempting a password during initialization.
  `static final String`
  `PaymentDevicePOI`
  Parameter key to set if the Payment Device Point of Interaction is to be configured for payment processing.
  `static final String`
  `PaymentMethod`
  Parameter key to indicate how a transaction will be processed.
  `static final String`
  `PaymentPlatformStatus`
  Parameter key for `PaymentPlatformStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializePaymentPlatformStatus(String)`.
  `static final String`
  `PaymentPlatformTest`
  Parameter key to be included in `ChipDnaMobile.getStatus(Parameters)` method to request the return of a `PaymentPlatformStatus`.
  `static final String`
  `PhoneNumber`
  Parameter key for a phone number.
  `static final String`
  `PinPadConnectionType`
  Parameter key for setting the connection type of the PIN pad to connect to.
  `static final String`
  `PinPadIpAddress`
  Parameter key for for setting the IP address of the PIN pad to connect to.
  `static final String`
  `PinPadName`
  Parameter key for setting the PIN pad name of the PIN pad to connect to.
  `static final String`
  `PinPadPort`
  Parameter key for setting the IP port number of the PIN pad to connect to.
  `static final String`
  `POSGUID`
  Parameter key for the current Point of Sale Globally Unique Identifier.
  `static final String`
  `PreformattedCustomerReceipt`
  Parameter key for the preformatted customer receipt text.
  `static final String`
  `PreformattedMerchantReceipt`
  Parameter key for the preformatted merchant receipt text.
  `static final String`
  `PrintReceipt`
  Parameter key for requesting that a receipt should be printed from the device if supported.
  `static final String`
  `PurchaseOrderNumber`
  Parameter key for the Purchase Order Number.
  `static final String`
  `ReceiptData`
  Parameter key for the transactions receipt data in XML format.
  `static final String`
  `ReceiptEmailResult`
  Parameter key for the result of sending a email receipt.
  `static final String`
  `ReceiptEmailSubject`
  Parameter key for the emails subject field of receipts.
  `static final String`
  `ReceiptPrintResult`
  Parameter key for the result of printing a receipt from the device.
  `static final String`
  `ReceiptSmsResult`
  Parameter key for the result of sending an SMS receipt.
  `static final String`
  `ReceiptSourceEmail`
  Parameter key for the receipts source email address.
  `static final String`
  `ReceiptSourceName`
  Parameter key for the receipts source name.
  `static final String`
  `ReceiptText`
  Parameter key for the receipt text.
  `static final String`
  `ReferralNumber`
  Parameter key for the phone number required for voice referral.
  `static final String`
  `RefundOperatorPinSupported`
  Parameter key indicating if an operator PIN must be supplied in order to perform standalone refunds.
  `static final String`
  `RegistrationUrl`
  Parameter key for the Registration URL.
  `static final String`
  `RemainingAttempts`
  Parameter key for remaining attempts for initialization password before SDK app data is destroyed.
  `static final String`
  `RequestQueueStatus`
  Parameter key for `RequestQueueStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeRequestQueueStatus(String)`.
  `static final String`
  `ResponseRequired`
  Parameter key indicating if a response is required to the triggered action.
  `static final String`
  `Result`
  Parameter key for result value.
  `static final String`
  `SaleReference`
  Parameter key for the user reference of a linked sale transaction.
  `static final String`
  `SearchConnectionTypeBluetooth`
  Parameter for requesting for the SDK to search for PIN pads connected via Bluetooth.
  `static final String`
  `SearchConnectionTypeBluetoothLe`
  Parameter for requesting for the SDK to search for PIN pads via Bluetooth Low Energy.
  `static final String`
  `SearchConnectionTypeUsb`
  Parameter for requesting for the SDK to search for PIN pads connected via USB.
  `static final String`
  `SearchOnlyOnlineBluetoothLePinPads`
  Parameter for requesting for the SDK to search for only online PIN pads connected via Bluetooth Low Energy.
  `static final String`
  `SelectedApplication`
  Parameter key for the card application selected by the Cardholder during application selection.
  `static final String`
  `SendEmailReceipt`
  Parameter key for requesting that a receipt should be sent via email.
  `static final String`
  `SendSmsReceipt`
  Parameter key for requesting that a receipt should be sent via SMS.
  `static final String`
  `SignatureData`
  Parameter key to supply digital signature data as a base64 string.
  `static final String`
  `SmsReceiptSupported`
  Parameter key indicating if receipting via SMS is supported.
  `static final String`
  `StandaloneRefundsSupported`
  Parameter key indicating if standalone refunds are supported.
  `static final String`
  `TapToMobilePOI`
  Parameter key to set if the TapToMobile Point of Interaction is to be configured for payment processing.
  `static final String`
  `TapToMobilePOIIdentifier`
  Parameter key for the current TapToMobile Point of Interaction Identifier.
  `static final String`
  `TaxAmount`
  Parameter key for the Tax Amount.
  `static final String`
  `TerminalId`
  Parameter key for setting terminal ID.
  `static final String`
  `TerminalStatus`
  Parameter key for `TerminalStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeTerminalStatus(String)`.
  `static final String`
  `TipAmount`
  Parameter key indicating the tip amount.
  `static final String`
  `TippingSupported`
  Parameter key indicating which version of tipping is supported.
  `static final String`
  `TippingType`
  Parameter key for tipping type being used for a transaction.
  `static final String`
  `TmsStatus`
  Parameter key for `TmsStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeTmsStatus(String)`.
  `static final String`
  `TmsUpdateUtc`
  Parameter key for date/time of last TMS update time in UTC.
  `static final String`
  `Track2ClearText`
  Parameter key for the unencrypted clear text track2 of a card returned by the pinpad.
  `static final String`
  `TransactionDateTime`
  Parameter key for a transactions local date and time.
  `static final String`
  `TransactionDateTimeUtc`
  Parameter key for a transactions UTC date time.
  `static final String`
  `TransactionHistorySupported`
  Parameter key indicating if transaction history information is supported.
  `static final String`
  `TransactionId`
  Parameter key for transaction identifier of a transaction.
  `static final String`
  `TransactionKey`
  Parameter key for setting transaction key.
  `static final String`
  `TransactionPOI`
  Parameter key for Transaction POI to indicate the POI used to process a transaction.
  `static final String`
  `TransactionResult`
  Parameter key for result of a transaction.
  `static final String`
  `TransactionState`
  Parameter key for transaction state.
  `static final String`
  `TransactionType`
  Parameter key for for the transaction type.
  `static final String`
  `TransactionUpdate`
  Parameter key for `TransactionUpdate` returned;
  `static final String`
  `UserNotification`
  Parameter key for `UserNotification`.
  `static final String`
  `UserReference`
  Parameter key for the user reference.
  `static final String`
  `VersionInformation`
  Parameter key for `VersionInformation` XML which can be converted using `ChipDnaMobileSerializer.deserializeVersionInformation(String)`.
  `static final String`
  `WebMisPassword`
  Parameter key for setting WebMIS password.
  `static final String`
  `WebMisUsername`
  Parameter key for setting WebMIS username.
  `static final String`
  `ZipCodeVerificationResult`
  Parameter key for zip code verification result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterKeys()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Result

    public static final String Result
    Parameter key for result value.
    See Also:
      - Constant Field Values

  - ### Errors

    public static final String Errors
    Parameter key used when returning comma separated error codes.
    See Also:
      - Constant Field Values

  - ### ErrorDescription

    public static final String ErrorDescription
    Parameter key for returning text description of an error.
    See Also:
      - Constant Field Values

  - ### Password

    public static final String Password
    Parameter key for attempting a password during initialization.
    See Also:
      - Constant Field Values

  - ### ChangePassword

    public static final String ChangePassword
    Parameter key for changing the password after initialization.
    See Also:
      - Constant Field Values

  - ### RemainingAttempts

    public static final String RemainingAttempts
    Parameter key for remaining attempts for initialization password before SDK app data is destroyed.
    See Also:
      - Constant Field Values

  - ### Destroy

    public static final String Destroy
    Parameter key to wipe all SDK app data and delete the configuration and offline database when value is `True`.
    See Also:
      - Constant Field Values

  - ### ApplicationIdentifier

    public static final String ApplicationIdentifier
    Parameter key for setting application identifier.
    See Also:
      - Constant Field Values

  - ### TerminalId

    public static final String TerminalId
    Parameter key for setting terminal ID.
    See Also:
      - Constant Field Values

  - ### TransactionKey

    public static final String TransactionKey
    Parameter key for setting transaction key.
    See Also:
      - Constant Field Values

  - ### Environment

    public static final String Environment
    Parameter key for setting and receive the current environment of ChipDNA Mobile. The value can be `production` or `test`.
    See Also:
      - Constant Field Values

  - ### WebMisUsername

    public static final String WebMisUsername
    Parameter key for setting WebMIS username.
    See Also:
      - Constant Field Values

  - ### WebMisPassword

    public static final String WebMisPassword
    Parameter key for setting WebMIS password.
    See Also:
      - Constant Field Values

  - ### ApiKey

    public static final String ApiKey
    Parameter key for setting Api Key used for communicating with the gateway.
    See Also:
      - Constant Field Values

  - ### RegistrationUrl

    public static final String RegistrationUrl
    Parameter key for the Registration URL.
    See Also:
      - Constant Field Values

  - ### PinPadName

    public static final String PinPadName
    Parameter key for setting the PIN pad name of the PIN pad to connect to.
    See Also:
      - Constant Field Values

  - ### PinPadConnectionType

    public static final String PinPadConnectionType
    Parameter key for setting the connection type of the PIN pad to connect to.
    See Also:
      - Constant Field Values

  - ### PinPadIpAddress

    public static final String PinPadIpAddress
    Parameter key for for setting the IP address of the PIN pad to connect to.
    See Also:
      - Constant Field Values

  - ### PinPadPort

    public static final String PinPadPort
    Parameter key for setting the IP port number of the PIN pad to connect to.
    See Also:
      - Constant Field Values

  - ### ConfigurationUpdate

    public static final String ConfigurationUpdate
    Parameter key for updates on the progress of `ChipDnaMobile.connectAndConfigure(com.creditcall.chipdnamobile.Parameters)`.
    See Also:
      - Constant Field Values

  - ### DeviceStatusUpdate

    public static final String DeviceStatusUpdate
    Parameter key for current device status XML string. XML can be converted into an `DeviceStatus` object using @{link ChipDnaMobileSerializer#deserializeDeviceStatus}.
    See Also:
      - Constant Field Values

  - ### AutomaticReboot

    public static final String AutomaticReboot
    Parameter key indicating if the PIN pad reboot is automatic or manual. Values can be `True` for automatic or `False` for manual.
    See Also:
      - Constant Field Values

  - ### FirmwareFile

    public static final String FirmwareFile
    Parameter key indicating the name of the firmware file being downloaded to the device.
    See Also:
      - Constant Field Values

  - ### FirmwareDownloadPercentage

    public static final String FirmwareDownloadPercentage
    Parameter key indicating the percentage of firmware downloaded to the device. Value is an integer between 0 and 100.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdateStatus

    public static final String FirmwareUpdateStatus
    Parameter key for current firmware update status XML string. XML can be converted into an `FirmwareUpdateStatus` object using `ChipDnaMobileSerializer.deserializeFirmwareUpdateStatus(String)`.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdateAvailable

    public static final String FirmwareUpdateAvailable
    Parameter key indicating if a firmware update is available. Values can be `True` or `False`.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdate

    public static final String FirmwareUpdate
    Parameter key for `FirmwareUpdates` returned
    See Also:
      - Constant Field Values

  - ### ApplyFirmwareUpdate

    public static final String ApplyFirmwareUpdate
    Parameter key indicating if a firmware update is to be performed if one is available. Values can be `True` to update firmware during this connect and configure / request TMS update or `False` to delay.
    See Also:
      - Constant Field Values

  - ### TransactionUpdate

    public static final String TransactionUpdate
    Parameter key for `TransactionUpdate` returned;
    See Also:
      - Constant Field Values

  - ### Amount

    public static final String Amount
    Parameter key for the transaction amount.
    See Also:
      - Constant Field Values

  - ### TransactionType

    public static final String TransactionType
    Parameter key for for the transaction type. Can be a value of `SALE`, `REFUND` or `ACCOUNT_VERIFICATION`.
    See Also:
      - Constant Field Values

  - ### AmountType

    public static final String AmountType
    Parameter key for the amount type. Can be a value of `ACTUAL` or `ESTIMATE`.
    See Also:
      - Constant Field Values

  - ### UserReference

    public static final String UserReference
    Parameter key for the user reference. User reference must be unique per transaction.
    See Also:
      - Constant Field Values

  - ### Currency

    public static final String Currency
    Parameter key for the currency for a transaction. If only one currency is available ChipDNA Mobile will default to that currency.
    See Also:
      - Constant Field Values

  - ### TippingType

    public static final String TippingType
    Parameter key for tipping type being used for a transaction. Values can be `END_OF_DAY`, `ON_DEVICE_TIPPING` or `BOTH`.
    See Also:
      - Constant Field Values

  - ### OnDeviceTippingPrompt

    public static final String OnDeviceTippingPrompt
    Parameter key to add a custom on-device tipping prompt. With the Miura M020 and M021 the value can have a maximum of 4 lines with a maximum of 21 characters in each line, with new lines indicated by "\n" or "\r". The value accepts UTF-8 characters and cannot be longer than 195 bytes.
    See Also:
      - Constant Field Values

  - ### DynamicTippingAmounts

    public static final String DynamicTippingAmounts
    Parameter key for on-device dynamic tipping amounts in minor units. Value must be three comma-separated numeric values between 0 and 1000000. For example, for tip amounts of $3.00, $4.50, and $10.00, the value entered must be "300,450,1000".
    See Also:
      - Constant Field Values

  - ### DynamicTippingPercentages

    public static final String DynamicTippingPercentages
    Parameter key for on-device dynamic tipping percentages. Value must be three comma-separated numeric values between 0 and 100.
    See Also:
      - Constant Field Values

  - ### DynamicTippingHeader

    public static final String DynamicTippingHeader
    Parameter key for on-device dynamic tipping header. With the Miura M020 and M021 the value accepts UTF-8 characters and cannot be longer than 63 bytes. The value must not be empty.
    See Also:
      - Constant Field Values

  - ### PaymentMethod

    public static final String PaymentMethod
    Parameter key to indicate how a transaction will be processed. Values can be `CASH`, `CHEQUE` or `CARD`.
    See Also:
      - Constant Field Values

  - ### PANKeyEntry

    public static final String PANKeyEntry
    Parameter key for PAN key entry. Value is either `True` or `False`.
    See Also:
      - Constant Field Values

  - ### CredentialOnFileFirstStore

    public static final String CredentialOnFileFirstStore
    Parameter key to indicate the transaction is the first store for a Credential on File transaction.
    See Also:
      - Constant Field Values

  - ### CredentialOnFileReason

    public static final String CredentialOnFileReason
    Parameter key for Credential on File transactions to indicate the reason for the transaction. Values can be `UNSCHEDULED`, `INSTALLMENT`, `INCREMENTAL`, `RESUBMISSION`, `DELAYED_CHARGE`, `RE_AUTH` or `NO_SHOW`.
    See Also:
      - Constant Field Values

  - ### OperatorPin

    public static final String OperatorPin
    Parameter key for the operator pin.
    See Also:
      - Constant Field Values

  - ### CustomerVaultId

    public static final String CustomerVaultId
    Parameter key for customer vault identifier.
    See Also:
      - Constant Field Values

  - ### CustomerVaultCommand

    public static final String CustomerVaultCommand
    Parameter key for customer vault command.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField01

    public static final String MerchantDefinedField01
    Parameter key for merchant defined field 1.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField02

    public static final String MerchantDefinedField02
    Parameter key for merchant defined field 2.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField03

    public static final String MerchantDefinedField03
    Parameter key for merchant defined field 3.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField04

    public static final String MerchantDefinedField04
    Parameter key for merchant defined field 4.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField05

    public static final String MerchantDefinedField05
    Parameter key for merchant defined field 5.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField06

    public static final String MerchantDefinedField06
    Parameter key for merchant defined field 6.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField07

    public static final String MerchantDefinedField07
    Parameter key for merchant defined field 7.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField08

    public static final String MerchantDefinedField08
    Parameter key for merchant defined field 8.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField09

    public static final String MerchantDefinedField09
    Parameter key for merchant defined field 9.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField10

    public static final String MerchantDefinedField10
    Parameter key for merchant defined field 10.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField11

    public static final String MerchantDefinedField11
    Parameter key for merchant defined field 11.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField12

    public static final String MerchantDefinedField12
    Parameter key for merchant defined field 12.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField13

    public static final String MerchantDefinedField13
    Parameter key for merchant defined field 13.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField14

    public static final String MerchantDefinedField14
    Parameter key for merchant defined field 14.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField15

    public static final String MerchantDefinedField15
    Parameter key for merchant defined field 15.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField16

    public static final String MerchantDefinedField16
    Parameter key for merchant defined field 16.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField17

    public static final String MerchantDefinedField17
    Parameter key for merchant defined field 17.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField18

    public static final String MerchantDefinedField18
    Parameter key for merchant defined field 18.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField19

    public static final String MerchantDefinedField19
    Parameter key for merchant defined field 19.
    See Also:
      - Constant Field Values

  - ### MerchantDefinedField20

    public static final String MerchantDefinedField20
    Parameter key for merchant defined field 20.
    See Also:
      - Constant Field Values

  - ### CloseTransaction

    public static final String CloseTransaction
    Parameter key indicating whether a transaction should be closed.
    See Also:
      - Constant Field Values

  - ### TipAmount

    public static final String TipAmount
    Parameter key indicating the tip amount.
    See Also:
      - Constant Field Values

  - ### SaleReference

    public static final String SaleReference
    Parameter key for the user reference of a linked sale transaction.
    See Also:
      - Constant Field Values

  - ### TransactionResult

    public static final String TransactionResult
    Parameter key for result of a transaction. Value can be `APPROVED`, `DECLINED` or `ParameterValues.PartiallyApproved`.
    See Also:
      - Constant Field Values

  - ### TransactionState

    public static final String TransactionState
    Parameter key for transaction state. Value can be `COMMITTED`, `UNCOMMITTED`, `VOID` or `UNCOMMITTED_VOID`.
    See Also:
      - Constant Field Values

  - ### AuthCode

    public static final String AuthCode
    Parameter key for authorization code of a transaction.
    See Also:
      - Constant Field Values

  - ### CardEaseReference

    public static final String CardEaseReference
    Parameter key for CardEase reference of a transaction.
    See Also:
      - Constant Field Values

  - ### TransactionId

    public static final String TransactionId
    Parameter key for transaction identifier of a transaction.
    See Also:
      - Constant Field Values

  - ### MaskedPan

    public static final String MaskedPan
    Parameter key for a masked PAN.
    See Also:
      - Constant Field Values

  - ### Par

    public static final String Par
    Parameter key for a PAR.
    See Also:
      - Constant Field Values

  - ### AmountOnlineAuthorized

    public static final String AmountOnlineAuthorized
    Parameter key for the amount of a transaction authorized online.
    See Also:
      - Constant Field Values

  - ### TransactionDateTime

    public static final String TransactionDateTime
    Parameter key for a transactions local date and time.
    See Also:
      - Constant Field Values

  - ### TransactionDateTimeUtc

    public static final String TransactionDateTimeUtc
    Parameter key for a transactions UTC date time.
    See Also:
      - Constant Field Values

  - ### ReceiptData

    public static final String ReceiptData
    Parameter key for the transactions receipt data in XML format. Which can be converted to an array of `ReceiptFields` using `ChipDnaMobileSerializer.deserializeReceiptData(String)` method.
    See Also:
      - Constant Field Values

  - ### CardHashCollection

    public static final String CardHashCollection
    Parameter key for the card hash in XML format. Value can be converted to a `CardHash` object using `ChipDnaMobileSerializer.deserializeCardHashes(String)`.
    See Also:
      - Constant Field Values

  - ### CardReference

    public static final String CardReference
    Parameter key for the card reference.
    See Also:
      - Constant Field Values

  - ### CardSchemeId

    public static final String CardSchemeId
    Parameter key for the card scheme ID.
    See Also:
      - Constant Field Values

  - ### CardHolderFirstName

    public static final String CardHolderFirstName
    Parameter key for the card holder first name.
    See Also:
      - Constant Field Values

  - ### CardHolderLastName

    public static final String CardHolderLastName
    Parameter key for the card holder last name.
    See Also:
      - Constant Field Values

  - ### AcquirerResponseCode

    public static final String AcquirerResponseCode
    Parameter key for the acquirer response code.
    See Also:
      - Constant Field Values

  - ### DateTimeFormat

    public static final String DateTimeFormat
    Parameter key for the format of the date/times returned.
    See Also:
      - Constant Field Values

  - ### PreformattedMerchantReceipt

    public static final String PreformattedMerchantReceipt
    Parameter key for the preformatted merchant receipt text.
    See Also:
      - Constant Field Values

  - ### PreformattedCustomerReceipt

    public static final String PreformattedCustomerReceipt
    Parameter key for the preformatted customer receipt text.
    See Also:
      - Constant Field Values

  - ### MerchantName

    public static final String MerchantName
    Parameter key for the merchant name.
    See Also:
      - Constant Field Values

  - ### MerchantData

    public static final String MerchantData
    Parameter key for the merchant data.
    See Also:
      - Constant Field Values

  - ### ResponseRequired

    public static final String ResponseRequired
    Parameter key indicating if a response is required to the triggered action. Value will be either `True`, indicating a response is required, or `False` if not.
    See Also:
      - Constant Field Values

  - ### OperatorPinRequired

    public static final String OperatorPinRequired
    Parameter key indicating if an operator pin must be supplied when responding to an action. Value can be either `True` or `False`. If not supplied, value is `False`.
    See Also:
      - Constant Field Values

  - ### OnlinePinPresent

    public static final String OnlinePinPresent
    Parameter key indicating that an online pin block is present.
    See Also:
      - Constant Field Values

  - ### DeferredAuthorizationReason

    public static final String DeferredAuthorizationReason
    Parameter key for the reason a deferred authorization is being offered.
    See Also:
      - Constant Field Values

  - ### ReferralNumber

    public static final String ReferralNumber
    Parameter key for the phone number required for voice referral.
    See Also:
      - Constant Field Values

  - ### DigitalSignatureSupported

    public static final String DigitalSignatureSupported
    Parameter key indicating if digital signature is supported. Value can be either `True` or `False`. If not supplied, value is `False`.
    See Also:
      - Constant Field Values

  - ### SignatureData

    public static final String SignatureData
    Parameter key to supply digital signature data as a base64 string.
    See Also:
      - Constant Field Values

  - ### Track2ClearText

    public static final String Track2ClearText
    Parameter key for the unencrypted clear text track2 of a card returned by the pinpad.
    See Also:
      - Constant Field Values

  - ### MaskedTrack2

    public static final String MaskedTrack2
    Parameter key for the masked track2 of a card returned by the PIN pad.
    See Also:
      - Constant Field Values

  - ### ExpiryDate

    public static final String ExpiryDate
    Parameter key for the expiry date of a card returned by the PIN pad.
    See Also:
      - Constant Field Values

  - ### IdleMessage

    public static final String IdleMessage
    Parameter key for the idle message to be displayed.
    See Also:
      - Constant Field Values

  - ### DisplayTime

    public static final String DisplayTime
    Parameter key for the length of time a message should be displayed in seconds. If not present time will be infinite.
    See Also:
      - Constant Field Values

  - ### ChipDnaStatus

    public static final String ChipDnaStatus
    Parameter key for current status of ChipDNA.
    See Also:
      - Constant Field Values

  - ### TerminalStatus

    public static final String TerminalStatus
    Parameter key for `TerminalStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeTerminalStatus(String)`.
    See Also:
      - Constant Field Values

  - ### PaymentPlatformTest

    public static final String PaymentPlatformTest
    Parameter key to be included in `ChipDnaMobile.getStatus(Parameters)` method to request the return of a `PaymentPlatformStatus`. This will require online connectivity.
    See Also:
      - Constant Field Values

  - ### PaymentPlatformStatus

    public static final String PaymentPlatformStatus
    Parameter key for `PaymentPlatformStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializePaymentPlatformStatus(String)`.
    See Also:
      - Constant Field Values

  - ### TmsStatus

    public static final String TmsStatus
    Parameter key for `TmsStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeTmsStatus(String)`.
    See Also:
      - Constant Field Values

  - ### RequestQueueStatus

    public static final String RequestQueueStatus
    Parameter key for `RequestQueueStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeRequestQueueStatus(String)`.
    See Also:
      - Constant Field Values

  - ### DeviceStatus

    public static final String DeviceStatus
    Parameter key for `DeviceStatus` XML which can be converted using `ChipDnaMobileSerializer.deserializeDeviceStatus(String)`.
    See Also:
      - Constant Field Values

  - ### VersionInformation

    public static final String VersionInformation
    Parameter key for `VersionInformation` XML which can be converted using `ChipDnaMobileSerializer.deserializeVersionInformation(String)`.
    See Also:
      - Constant Field Values

  - ### LinkedRefundsSupported

    public static final String LinkedRefundsSupported
    Parameter key indicating if linked refunds are supported.
    See Also:
      - Constant Field Values

  - ### StandaloneRefundsSupported

    public static final String StandaloneRefundsSupported
    Parameter key indicating if standalone refunds are supported.
    See Also:
      - Constant Field Values

  - ### CashTransactionsSupported

    public static final String CashTransactionsSupported
    Parameter key indicating if cash transactions are supported.
    See Also:
      - Constant Field Values

  - ### ChequeTransactionsSupported

    public static final String ChequeTransactionsSupported
    Parameter key indicating if cheque transaction are supported.
    See Also:
      - Constant Field Values

  - ### TransactionHistorySupported

    public static final String TransactionHistorySupported
    Parameter key indicating if transaction history information is supported.
    See Also:
      - Constant Field Values

  - ### OfflineProcessingSupported

    public static final String OfflineProcessingSupported
    Parameter key indicating if offline processing is supported.
    See Also:
      - Constant Field Values

  - ### RefundOperatorPinSupported

    public static final String RefundOperatorPinSupported
    Parameter key indicating if an operator PIN must be supplied in order to perform standalone refunds.
    See Also:
      - Constant Field Values

  - ### EmailReceiptSupported

    public static final String EmailReceiptSupported
    Parameter key indicating if receipting via email is supported.
    See Also:
      - Constant Field Values

  - ### SmsReceiptSupported

    public static final String SmsReceiptSupported
    Parameter key indicating if receipting via SMS is supported.
    See Also:
      - Constant Field Values

  - ### TippingSupported

    public static final String TippingSupported
    Parameter key indicating which version of tipping is supported.
    See Also:
      - Constant Field Values

  - ### FullTmsUpdate

    public static final String FullTmsUpdate
    Parameter key to trigger a full TMS update. Value can be either `True` or `False`.
    See Also:
      - Constant Field Values

  - ### ForceTmsUpdate

    public static final String ForceTmsUpdate
    Parameter key to force a TMS update. Value can be either `True` or `False`.
    See Also:
      - Constant Field Values

  - ### TmsUpdateUtc

    public static final String TmsUpdateUtc
    Parameter key for date/time of last TMS update time in UTC.
    See Also:
      - Constant Field Values

  - ### AvailableCurrencies

    public static final String AvailableCurrencies
    Parameter key for available currencies XML, which can be converted using `ChipDnaMobileSerializer.deserializeAvailableCurrencies(String)`.
    See Also:
      - Constant Field Values

  - ### OfflineStatus

    public static final String OfflineStatus
    Parameter key indicating the offline status of a transaction.
    See Also:
      - Constant Field Values

  - ### LinkedRefundReferences

    public static final String LinkedRefundReferences
    Parameter key for the linked refund references linked to the transaction.
    See Also:
      - Constant Field Values

  - ### OfflineCompletionState

    public static final String OfflineCompletionState
    Parameter key indicating how a transaction from the offline queue was completed. This can be either `ParameterValues.OfflineCompletionProcessed` or `ParameterValues.OfflineCompletionDeleted`.
    See Also:
      - Constant Field Values

  - ### OfflineCompletionDateTime

    public static final String OfflineCompletionDateTime
    Parameter key for the date and time that an offline request was completed.
    See Also:
      - Constant Field Values

  - ### OfflineRequestErrors

    public static final String OfflineRequestErrors
    Parameter key for the errors associated with an offline request.
    See Also:
      - Constant Field Values

  - ### ReceiptText

    public static final String ReceiptText
    Parameter key for the receipt text.
    See Also:
      - Constant Field Values

  - ### EmailAddress

    public static final String EmailAddress
    Parameter key for an email address.
    See Also:
      - Constant Field Values

  - ### PhoneNumber

    public static final String PhoneNumber
    Parameter key for a phone number.
    See Also:
      - Constant Field Values

  - ### ReceiptSourceName

    public static final String ReceiptSourceName
    Parameter key for the receipts source name.
    See Also:
      - Constant Field Values

  - ### ReceiptSourceEmail

    public static final String ReceiptSourceEmail
    Parameter key for the receipts source email address.
    See Also:
      - Constant Field Values

  - ### ReceiptEmailSubject

    public static final String ReceiptEmailSubject
    Parameter key for the emails subject field of receipts.
    See Also:
      - Constant Field Values

  - ### SendEmailReceipt

    public static final String SendEmailReceipt
    Parameter key for requesting that a receipt should be sent via email.
    See Also:
      - Constant Field Values

  - ### SendSmsReceipt

    public static final String SendSmsReceipt
    Parameter key for requesting that a receipt should be sent via SMS.
    See Also:
      - Constant Field Values

  - ### PrintReceipt

    public static final String PrintReceipt
    Parameter key for requesting that a receipt should be printed from the device if supported.
    See Also:
      - Constant Field Values

  - ### ReceiptEmailResult

    public static final String ReceiptEmailResult
    Parameter key for the result of sending a email receipt. Value can be either `ParameterValues.TRUE` or `ParameterValues.FALSE`.
    See Also:
      - Constant Field Values

  - ### ReceiptSmsResult

    public static final String ReceiptSmsResult
    Parameter key for the result of sending an SMS receipt. Value can be either `ParameterValues.TRUE` or `ParameterValues.FALSE`.
    See Also:
      - Constant Field Values

  - ### ReceiptPrintResult

    public static final String ReceiptPrintResult
    Parameter key for the result of printing a receipt from the device. Value can be either `ParameterValues.TRUE` or `ParameterValues.FALSE`.
    See Also:
      - Constant Field Values

  - ### AvailablePinPads

    public static final String AvailablePinPads
    Parameter key for available PIN pad XML string. XML can be converted into an object using `ChipDnaMobileSerializer.deserializeAvailablePinPads(String)`.
    See Also:
      - Constant Field Values

  - ### SearchConnectionTypeBluetooth

    public static final String SearchConnectionTypeBluetooth
    Parameter for requesting for the SDK to search for PIN pads connected via Bluetooth.
    See Also:
      - Constant Field Values

  - ### BLEScanTime

    public static final String BLEScanTime
    Parameter key for configuring the length of time Bluetooth Low Energy (BLE) devices will be scanned for. The value is required to be a string valued number between 1 and 30. The default value of 5 seconds will be used if this value is not passed into `ChipDnaMobile.getAvailablePinPads(com.creditcall.chipdnamobile.Parameters)` and `ChipDnaMobile.connectAndConfigure(com.creditcall.chipdnamobile.Parameters)`.
    See Also:
      - Constant Field Values

  - ### SearchConnectionTypeBluetoothLe

    public static final String SearchConnectionTypeBluetoothLe
    Parameter for requesting for the SDK to search for PIN pads via Bluetooth Low Energy.
    See Also:
      - Constant Field Values

  - ### SearchConnectionTypeUsb

    public static final String SearchConnectionTypeUsb
    Parameter for requesting for the SDK to search for PIN pads connected via USB.
    See Also:
      - Constant Field Values

  - ### SearchOnlyOnlineBluetoothLePinPads

    public static final String SearchOnlyOnlineBluetoothLePinPads
    Parameter for requesting for the SDK to search for only online PIN pads connected via Bluetooth Low Energy.
    See Also:
      - Constant Field Values

  - ### UserNotification

    public static final String UserNotification
    Parameter key for `UserNotification`.
    See Also:
      - Constant Field Values

  - ### AutoConfirm

    public static final String AutoConfirm
    Parameter key to trigger auto confirmation of a transaction. Value is either `True` or `False`.
    See Also:
      - Constant Field Values

  - ### BillingAddress1

    public static final String BillingAddress1
    Parameter key for Address Line One in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingAddress2

    public static final String BillingAddress2
    Parameter key for Address Line Two in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingCity

    public static final String BillingCity
    Parameter key for the City in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingState

    public static final String BillingState
    Parameter key for the State in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingZipCode

    public static final String BillingZipCode
    Parameter key for the Zip Code in Billing Information. Can be used interchangeably with BILLING_ZIP_CODE
    See Also:
      - Constant Field Values

  - ### BillingPostalCode

    public static final String BillingPostalCode
    Parameter key for the Zip Code in Billing Information. Can be used interchangeably with BILLING_POSTAL_CODE
    See Also:
      - Constant Field Values

  - ### BillingCountry

    public static final String BillingCountry
    Parameter key for the Country in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingEmailAddress

    public static final String BillingEmailAddress
    Parameter key for the Email Address in Billing Information.
    See Also:
      - Constant Field Values

  - ### BillingPhoneNumber

    public static final String BillingPhoneNumber
    Parameter key for the Phone Number in Billing Information.
    See Also:
      - Constant Field Values

  - ### PurchaseOrderNumber

    public static final String PurchaseOrderNumber
    Parameter key for the Purchase Order Number.
    See Also:
      - Constant Field Values

  - ### TaxAmount

    public static final String TaxAmount
    Parameter key for the Tax Amount.
    See Also:
      - Constant Field Values

  - ### AvailableApplications

    public static final String AvailableApplications
    Parameter key for the card applications XML to be presented to the CardHolder during application selection. Convert to object using `ChipDnaMobileSerializer.deserializeAvailableApplications(String)`.
    See Also:
      - Constant Field Values

  - ### SelectedApplication

    public static final String SelectedApplication
    Parameter key for the card application selected by the Cardholder during application selection.
    See Also:
      - Constant Field Values

  - ### MerchantDisplayName

    public static final String MerchantDisplayName
    Parameter key for the configured merchant display name. The default name displayed on the PIN pad when it is idle.
    See Also:
      - Constant Field Values

  - ### DelayOnlineProcessing

    public static final String DelayOnlineProcessing
    Parameter key for to delay online processing.
    See Also:
      - Constant Field Values

  - ### EncodedRequest

    public static final String EncodedRequest
    Parameter key for encoded requests.
    See Also:
      - Constant Field Values

  - ### AddressVerificationResult

    public static final String AddressVerificationResult
    Parameter key for address verification result.

    Value can be Matched, NotChecked, NotMatched, NotSupplied or PartialMatch.

    See Also:
      - Constant Field Values

  - ### ZipCodeVerificationResult

    public static final String ZipCodeVerificationResult
    Parameter key for zip code verification result.

    Value can be Matched, NotChecked, NotMatched, NotSupplied or PartialMatch.

    See Also:
      - Constant Field Values

  - ### CscVerificationResult

    public static final String CscVerificationResult
    Parameter key for CSC verification result.

    Value can be Matched, NotChecked, NotMatched, NotSupplied or PartialMatch.

    See Also:
      - Constant Field Values

  - ### POSGUID

    public static final String POSGUID
    Parameter key for the current Point of Sale Globally Unique Identifier.
    See Also:
      - Constant Field Values

  - ### TapToMobilePOIIdentifier

    public static final String TapToMobilePOIIdentifier
    Parameter key for the current TapToMobile Point of Interaction Identifier.
    See Also:
      - Constant Field Values

  - ### PaymentDevicePOI

    public static final String PaymentDevicePOI
    Parameter key to set if the Payment Device Point of Interaction is to be configured for payment processing.
    See Also:
      - Constant Field Values

  - ### TapToMobilePOI

    public static final String TapToMobilePOI
    Parameter key to set if the TapToMobile Point of Interaction is to be configured for payment processing.
    See Also:
      - Constant Field Values

  - ### CertificateFingerprint

    public static final String CertificateFingerprint
    Parameter key for certificate fingerprint.
    See Also:
      - Constant Field Values

  - ### TransactionPOI

    public static final String TransactionPOI
    Parameter key for Transaction POI to indicate the POI used to process a transaction. Values can be `ParameterValues.PaymentDevice`, `ParameterValues.TapToMobile`.
    See Also:
      - Constant Field Values

  - ### FeatureTokens

    public static final String FeatureTokens
    Parameter key for the feature token XML string. A list of `FeatureToken` objects can be converted to a XML string by using `ChipDnaMobileSerializer.serializeFeatureTokens(List)`.
    See Also:
      - Constant Field Values

  - ### CardTokens

    public static final String CardTokens
    Parameter key for the card tokens XML string. XML can be converted into a list of `CardToken` objects using `ChipDnaMobileSerializer.deserializeCardTokens(String)`.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ParameterKeys

    public ParameterKeys()